Subject: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.

From: Leo Famulari <[email-masked]>
Date: Wed, 7 Apr 2021 20:05:00 -0400

While testing the dependents of packages changes in this patch series, I
found that QGIS fails to build as a result of these patches, like this:

------
[...]
[ 50%] Built target qgis_sqliteutilstest_autogen                    
make -f tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/build.make tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/depend
.sip5-real: Unable to find file "QtXml/QtXmlmod.sip"                
                                                
make[2]: Entering directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
cd /tmp/guix-build-qgis-3.16.3.drv-0/build && /gnu/store/3dsl2jalrcyldkrsqab1hc6sv8pyag9z-cmake-minimal-3.16.5/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/guix-build-qgis-3.16.3.drv-0/qgi
s-3.16.3 /tmp/guix-build-qgis-3.16.3.drv-0/qgis-3.16.3/tests/src/core /tmp/guix-build-qgis-3.16.3.drv-0/build /tmp/guix-build-qgis-3.16.3.drv-0/build/tests/src/core /tmp/guix-build-qgis-3.16.3
.drv-0/build/tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/DependInfo.cmake --color=                                                                                            
Scanning dependencies of target qgis_layouthtmltest_autogen                
make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'                        
make -f tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/build.make tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/build
make[2]: Entering directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
[ 50%] Automatic MOC for target qgis_layouthtmltest
cd /tmp/guix-build-qgis-3.16.3.drv-0/build/tests/src/core && /gnu/store/3dsl2jalrcyldkrsqab1hc6sv8pyag9z-cmake-minimal-3.16.5/bin/cmake -E cmake_autogen /tmp/guix-build-qgis-3.16.3.drv-0/build
/tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/AutogenInfo.json RelWithDebInfo
make[2]: *** [python/CMakeFiles/python_module_qgis__core_autogen.dir/build.make:682: python/core/sip_corepart0.cpp] Error 1
make[2]: *** Deleting file 'python/core/sip_corepart0.cpp'
make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
make[1]: *** [CMakeFiles/Makefile2:8003: python/CMakeFiles/python_module_qgis__core_autogen.dir/all] Error 2
[...]
builder for `/gnu/store/svp5sjdga02zngsrh3x613wjfqm2cwyi-qgis-3.16.3.drv' failed with exit code 1
------

I think the salient part is near the beginning:

.sip5-real: Unable to find file "QtXml/QtXmlmod.sip"

I tried using your original approach for pyqt5-sip, where you symlinked
it into the output of python-pyqt, but I got the same result.

I guess that we need to adjust the package python-pyqt+qscintilla. Any
ideas?